[tool.poetry]
name = "logfmt-pandas"
version = "0.1.2"
description = "Read logfmt files into pandas dataframes."
authors = ["Alexander Krotov"]
license = "MIT"
readme = "README.md"
repository = "https://gitlab.com/link2xt/logfmt-pandas"

[tool.poetry.dependencies]
python = "^3.8"
pandas = "^1.0.4"
logfmt = "^0.4"

[tool.poetry.dev-dependencies]
pytest = "^5.4.2"
coverage = {extras = ["toml"], version = "^5.1"}
pytest-cov = "^2.9.0"
mypy = "^0.770"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
